package com.ycgis.macall.personalcenter.p.request;

import okhttp3.MediaType;

/**
 * created by:   Macall
 * create time:  2023/11/23 9:52
 * copyright:    @ruansee.com
 * Describe:
 */
public class MediaTypeUtils {

    public static MediaType getMediaType(String fileName) {
        MediaType mediaType = MediaType.parse("application/octet-stream");
        if (fileName.endsWith(".jpg")) {
            mediaType = MediaType.parse("image/jpg");
        } else if (fileName.endsWith(".png")) {
            mediaType = MediaType.parse("image/png");
        } else if (fileName.endsWith(".jpeg")) {
            mediaType = MediaType.parse("image/jpeg");
        } else if (fileName.endsWith(".mp4")) {
            mediaType = MediaType.parse("video/mp4");
        } else if (fileName.endsWith(".mp3")) {
            mediaType = MediaType.parse("audio/mpeg");
        } else if (fileName.endsWith(".json")) {
            mediaType = MediaType.parse("application/json");
        } else if (fileName.endsWith(".jar")) {
            mediaType = MediaType.parse("application/java-archive");
        } else if (fileName.endsWith(".html")) {
            mediaType = MediaType.parse("text/html");
        } else if (fileName.endsWith(".gif")) {
            mediaType = MediaType.parse("image/gif");
        }
        return mediaType;
    }

}
